Bug 1248835 - dbus-x11 seems to be required but isn't included
dbus-x11 seems to be required but isn't included
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fcitx-anthy (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 19:29 EDT by Scott Robbins
Modified: 2015-08-10 06:11 EDT (History)
2 users (show)

See Also:
Fixed In Version: fcitx-anthy-0.2.2-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 06:11:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Robbins 2015-07-30 19:29:07 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Scott Robbins 2015-07-30 19:31:37 EDT
Sorry, accidentally opened the bug before writing the description.

I remember ibus-anthy having this same issue.  Apparently, fcitx-anthy (and possibly other versions of fcitx, I haven't checked) require dbus-x11 to be installed to work. However, if doing minimal installs, with, for example, dwm, dbus-x11 isn't installed and fcitx-anthy will fail to work.  Upon installing dbus-x11 and restarting X, fcitx-anthy works properly.
Comment 2 Fedora Update System 2015-07-31 03:41:52 EDT
fcitx-anthy-0.2.2-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/fcitx-anthy-0.2.2-1.fc23
Comment 3 Fedora Update System 2015-07-31 12:47:59 EDT
Package fcitx-anthy-0.2.2-1.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fcitx-anthy-0.2.2-1.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-12474/fcitx-anthy-0.2.2-1.fc23
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2015-08-10 06:11:12 EDT
fcitx-anthy-0.2.2-1.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.